# List Trades

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Market Data", href: "/trading/rest-api/market-data" },
    { label: "List Trades" },
  ]}
  title="List Trades"
  method="GET"
  url="https://api.gemini.com/v1/trades/{symbol}"
  description="This will return the trades that have executed since the specified timestamp. Timestamps are either seconds or milliseconds since the epoch (1970-01-01). Each request will show at most 500 records."
  note={{
    title: "Note",
    children: (
      <>
        <p style={{ margin: "0 0 4px" }}>This public API endpoint is limited to retrieving seven calendar days of data.</p>
        <p style={{ margin: 0 }}>Please <a href="https://gemini24.zendesk.com/hc/en-us/requests/new" style={{ color: "inherit", textDecorationLine: "underline" }}>contact us</a> for information about Gemini market data.</p>
      </>
    )
  }}
  example={{
    request: {
      method: "GET",
      url: "https://api.gemini.com/v1/trades/BTCUSD",
      headers: [],
    },
  }}
  sections={[
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="listTrades" />,
    },
    {
      heading: "Query Parameters",
      children: <SpecQueryParams operationId="listTrades" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listTrades" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Current Order Book", href: "/trading/rest-api/market-data/get-current-order-book" }}
  next={{ label: "List Prices", href: "/trading/rest-api/market-data/list-prices" }}
/>
